#
# Servicemenu image converter, by Jens Benecke <jens-kde@spamfreemail.de>.
# Released under the same license as the KDE core distribution (GPL 2.0).
#
[Desktop Entry]
Icon=image-x-generic
X-TDE-ServiceTypes=image/*
Actions=convToJPEG;convToPNG;convToGIF;convToTIF;
X-TDE-Submenu=Convert To
TryExec=convert

[Desktop Action convToJPEG]
Name=JPEG
Icon=image-x-generic
Exec=convert %f -set filename:base "%d/%t" '%[filename:base].jpg'

[Desktop Action convToPNG]
Name=PNG
Icon=image-x-generic
Exec=convert %f -set filename:base "%d/%t" '%[filename:base].png'

[Desktop Action convToTIF]
Name=TIF
Icon=image-x-generic
Exec=convert %f -set filename:base "%d/%t" '%[filename:base].tif'

[Desktop Action convToGIF]
Name=GIF
Icon=image-x-generic
Exec=convert %f -set filename:base "%d/%t" '%[filename:base].gif'
